Bug 149507 - error message during startup of cups
error message during startup of cups
Product: Fedora
Classification: Fedora
Component: PyXML (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Miloslav Trmač
: 149627 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2005-02-23 12:57 EST by Jochen Schmitt
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 0.8.4-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-02-25 10:00:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jochen Schmitt 2005-02-23 12:57:30 EST
During start up of cups I got the following messages:

Script wurde gestartet: Mi 23 Feb 2005 18:24:29 CET
]0;pclinux@myhome:/home/pclinux/kernel-2.6[root@myhome kernel-2.6]#
/etc/init.d/cups restart
cups beenden: [60G[  [0;32mOK[0;39m  ]

cups starten: Traceback (most recent call last):
  File "/usr/sbin/printconf-backend", line 7, in ?
    import backend
  File "/usr/share/printconf/util/backend.py", line 43, in ?
    import cups_import
  File "/usr/share/printconf/util/cups_import.py", line 7, in ?
    from printconf_conf import *
  File "/usr/share/printconf/util/printconf_conf.py", line 83, in ?
    from xml.utils import qp_xml
ImportError: No module named utils
[60G[  [0;32mOK[0;39m  ]

]0;pclinux@myhome:/home/pclinux/kernel-2.6[root@myhome kernel-2.6]# exit

Script beendet: Mi 23 Feb 2005 18:24:41 CET

Best Regards:

Jochen Schmitt
Comment 1 Jochen Schmitt 2005-02-23 13:37:56 EST
After installing of PyXML-0.8.4-1 the reported error message didn't occured.

System-config-printer should get a dependency to PyXML-0.8.4.

Best Regards:

Jochen Schmitt
Comment 2 Tim Waugh 2005-02-23 14:01:20 EST
It already requires PyXML.
Comment 3 Jochen Schmitt 2005-02-23 16:21:40 EST
I think, it is important, which version of PyXML and python are installed on the
system, to avoid the reported but.

I have installed python-2.4-4 on my system.

Best Regards: 

Jochen Schmitt
Comment 4 Tim Waugh 2005-02-24 10:45:58 EST
system-config-printer already requires a particular python ABI.  If PyXML does
not, that should be fixed in PyXML.
Comment 5 Miloslav Trmač 2005-02-25 09:39:36 EST
*** Bug 149627 has been marked as a duplicate of this bug. ***
Comment 6 Miloslav Trmač 2005-02-25 10:00:33 EST
Fixed in PyXML-0.8.4-2.
Note that it won't help if you have an older PyXML and you upgrade to a newer

Thanks for your report.

Note You need to log in before you can comment on or make changes to this bug.